"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteMessage = void 0;
const utils_1 = require("./utils");
const deleteMessage = (app, telegramServer) => {
    (0, utils_1.handle)(app, '/bot:token/deleteMessage', (req, res, _next) => {
        const chatId = Number(req.body.chat_id);
        const messageId = Number(req.body.message_id);
        if (!Number.isFinite(chatId) || !Number.isFinite(messageId)) {
            res.sendResult({
                ok: false,
                error_code: 400,
                description: 'Bad Request: please specify `chat_id` and `message_id`',
            });
            return;
        }
        const isDeleted = telegramServer.deleteMessage(chatId, messageId);
        if (!isDeleted) {
            res.sendResult({
                ok: false,
                error_code: 400,
                description: `Bad Request: chat ${chatId} with message ${messageId} wasn't found`,
            });
            return;
        }
        res.sendResult({
            ok: true,
            result: null,
        });
    });
};
exports.deleteMessage = deleteMessage;
