"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setWebhook = void 0;
const assert_1 = __importDefault(require("assert"));
const utils_1 = require("./utils");
const setWebhook = (app, telegramServer) => {
    (0, utils_1.handle)(app, '/bot:token/setWebhook', (req, res, _next) => {
        const botToken = req.params.token;
        const webHook = req.body.url ? req.body : req.query;
        assert_1.default.ok(webHook.url, 'Webhook must have a `url` defined');
        telegramServer.setWebhook(webHook, botToken);
        const data = { ok: true, result: null };
        res.sendResult(data);
    });
};
exports.setWebhook = setWebhook;
